<?php
/**
 * TorrentTrader v2.0 RC1
 *  - Coded by Sqrtboy (sqrtboy@phpsoft.org)
 *  - Released under the GPL licence
 *  - Support/Hacks/Discussion @ http://www.torrenttrader.com
 *  - Email: sqrtboy@phpsoft.org
 **/
 
 /* Special thanks to Mo666, Rex and Roxxor for the original source code and gfx*/

session_start();



function welcome () {
	define ("_PAGE_TITLE", "Welcome");
	include ("include/template_head.php");
	include ("include/welcome.php");
}

function get_environment () {
	define ("_PAGE_TITLE", "Welcome");
	include ("include/template_head.php");
	include ("include/environment.php");
}

function database_check () {
	function database_get_input () {
		define ("_PAGE_TITLE", "Database Settings");
		include ("include/template_head.php");
		include ("include/database_get_input.php");
	}

	function database_verify_input () {
		define ("_PAGE_TITLE", "Database Settings");
		include ("include/template_head.php");
		include ("include/database_verify_input.php");
	}

	if (_NEXT_PAGE == "3") {
		define("_SUBMITTED", false);
	    	database_get_input();
	}
	if (_NEXT_PAGE == "4") {
		$_SESSION['MYSQL_HOST'] = $_POST["mysql_host"];
		$_SESSION['MYSQL_USER'] = $_POST["mysql_user"];
		$_SESSION['MYSQL_PASS'] = $_POST["mysql_pass"];
		$_SESSION['MYSQL_DB'] = $_POST["mysql_db"];
		$_SESSION['PREFIX'] = $_POST["prefix"];
		$_SESSION['ROOT_PATH'] = $_POST["root_path"];
		if (($_SESSION['MYSQL_USER'] == "") || ($_SESSION['MYSQL_PASS'] == "")) {
			define("_SUBMITTED", true);
		    database_get_input();
		}
		else {
	    	database_verify_input();
		}
	}
	return array (_OPERATING_SYSTEM, _WEBSERVER);
}

function create_database() {
		define ("_PAGE_TITLE", "Create Database");
		include ("include/template_head.php");
		include ("include/create_database.php");
}

function chmod_check () {
		define ("_PAGE_TITLE", "Rootpath / Chmod Check");
		include ("include/template_head.php");
		include ("include/chmod_check.php");
}

function chmod_write () {
		define ("_PAGE_TITLE", "Create Database");
		include ("include/template_head.php");
		include ("include/chmod_write.php");
}

function database_write () {
		define ("_PAGE_TITLE", "Write MySQL Data");
		include ("include/template_head.php");
		include ("include/database_write.php");
}

function setup_admin () {
		define ("_PAGE_TITLE", "Setup Admin Account");
		include ("include/template_head.php");
		include ("include/setup_admin.php");
}

function save_admin () {
		$_SESSION['ADMIN_NAME']    = $_POST["admin_name"];
		$_SESSION['ADMIN_PASS']    = $_POST["admin_pass"];
		$_SESSION['ADMIN_PASS2']   = $_POST["admin_pass2"];
		$_SESSION['ADMIN_EMAIL']   = $_POST["admin_email"];
		define ("_PAGE_TITLE", "Setup Admin Account");
		include ("include/template_head.php");
		include ("include/setup_admin_verify.php");
}

function setup_config () {
		define ("_PAGE_TITLE", "Setup Configuration");
		include ("include/template_head.php");
		include ("include/setup_config.php");
}

function setup_config_verify () {
		$_SESSION['SITE_NAME']   = $_POST["site_name"];
		$_SESSION['SITE_URL']    = $_POST["site_url"];
		$_SESSION['SITE_EMAIL']  = $_POST["site_email"];
		$_SESSION['SITE_STATUS'] = $_POST["site_status"];
		define ("_PAGE_TITLE", "Setup Configuration");
		include ("include/template_head.php");
		include ("include/setup_config_verify.php");
}

function goodbye () {
	define ("_PAGE_TITLE", "Goodbye");
	include ("include/template_head.php");
	include ("include/goodbye.php");
	session_unset();
	session_destroy();
}


/* MAIN() */

define("_NEXT_PAGE" , $_POST["nextpage"]);

if ((_NEXT_PAGE == "") or (_NEXT_PAGE == "1")) {
	welcome ();
}
elseif (_NEXT_PAGE == "2") {
	get_environment ();
}
elseif ((_NEXT_PAGE == "3") or (_NEXT_PAGE == "4")) {
	database_check ();
}
elseif (_NEXT_PAGE == "5") {
	create_database ();
}
elseif (_NEXT_PAGE == "6") {
	chmod_check ();
}
elseif (_NEXT_PAGE == "7") {
	chmod_write ();
}
elseif (_NEXT_PAGE == "8") {
	database_write ();
}
elseif (_NEXT_PAGE == "9") {
	setup_admin();
}
elseif (_NEXT_PAGE == "10") {
	save_admin();
}
elseif (_NEXT_PAGE == "11") {
	setup_config();
}
elseif (_NEXT_PAGE == "12") {
	setup_config_verify ();
}
elseif (_NEXT_PAGE == "13") {
	goodbye ();
}
elseif (_NEXT_PAGE == "u") {
	$_SESSION['UPGRADE']   = "Upgrade";
	get_environment ();
}
include ("include/template_foot.php");
?>