<?php
/**
 * TorrentTrader v2.0 RC1
 *  - Coded by Sqrtboy (sqrtboy@phpsoft.org)
 *  - Released under the GPL licence
 *  - Support/Hacks/Discussion @ http://www.torrenttrader.com
 *  - Email: sqrtboy@phpsoft.org
 **/
 
session_start();
require_once('core.php');

/* check user is a member */
tt_members_only();

/* initiate template class */
tt_template_start('Account > '.$CURUSER['username'].' > Messages');

/* user profile */
$messages = tt_show_groups() ;
$tpl->addVar('messages', $messages);

/* get list of torrents */
$torrentlist = tt_list_torrents($perpage, $page, 'added', 'DESC', 'owner = "'.$CURUSER['id'].'"');
$tpl->addVar('torrentlist', $torrentlist);
$tpl->addVar('pager', tt_pager($perpage, $page, 'owner = "'.$CURUSER['id'].'"'));

/* output page */
$tpl->display('theme/' . $tt_theme . '/templates/user_account.tpl');
$tpl->display('theme/' . $tt_theme . '/templates/user_account_pm.tpl');
$tpl->display('theme/' . $tt_theme . '/templates/torrents_list.tpl', $page);
$tpl->display('theme/' . $tt_theme . '/templates/user_account_settings.tpl');

tt_template_end();

?>