<?php
/**
 * TorrentTrader v2.0 RC1
 *  - Coded by Sqrtboy (sqrtboy@phpsoft.org)
 *  - Released under the GPL licence
 *  - Support/Hacks/Discussion @ http://www.torrenttrader.com
 *  - Email: sqrtboy@phpsoft.org
 **/

/* sessions class */
class CSession
	{
	var $ses_id = "Keine Session ID";
    var $remote_ip = "unknown";
    var $debug = 0;
    var $pages = "";


    function CSession($debug=0)
    	{
        session_start();
        $this->ses_id = session_id();
        $this->pages=$GLOBALS["ses_pages"];
        if($this->pages=="")
        	{
            $this->pages="$GLOBALS[SCRIPT_FILENAME]";
            }
            else
            {
            $this->pages.=", $GLOBALS[SCRIPT_FILENAME]";
            }
            $this->remote_ip = $GLOBALS["REMOTE_ADDR"];
            $this->debug  = $debug;
            /*	if ($this->debug==1)
				{
				$this->show_debug();
               }     */
    }

    function write_to_session()
    	{
         global $db,$dbprfx;
        if(!session_is_registered("ses_register"))
        	{
            session_register("ses_register");
            session_register("ses_pages");
            }
        $GLOBALS["ses_pages"]=$this->pages;
        $query = $db->query("SELECT * FROM".$dbprfx."sessions WHERE data = '$this->ses_id'");
        $row = $db->fetch_array($query);
        $now=time();
        if($row["session_id"]=="")
        	{
            $sql="INSERT INTO ".$dbprfx."sessions (data) VALUES ('$this->ses_id')";
            }

        $db->query($sql);
    	}

    function show_debug()
    	{
    	echo "<font size=3 color=#222222><br> OBJEKT CSession<br></font>";
        while(list($key,$val)=each($this))
        	{
        	echo "<font size=3 color=#222222>$key ---> $val</font><br>";
            }
    	}

    function meta_tags($keywords, $title, $author="Sven Zurnieden, Frank Cawein, Marcel Weilacher")
    	{
        echo'
        <meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
        <meta http-equiv="Content-Language" content="de">
        <meta name="author" content="'.$author.'">
        <meta name="GENERATOR" content="PHPEd">
        <meta name="keywords" content="'.$keywords.'">
        <meta http-equiv="Page-Enter" content="blendTrans(Duration=0.6)">
        <meta http-equiv="Page-Exit" content="blendTrans(Duration=0.6)">
        <title>'.$title.'</title>';
    	}
	}

class CGroup
	{
    var $id = "Not authenticated";
    var $name = "Not authenticated";
    var $description = "Not authenticated";
    var $admin = "Not authenticated";
    var $connect = "Not connected to db";
    var $debug;


    function CGroup($group_id, $debug=0)
    	{
         global $db,$dbprfx;
        $this->debug = $debug;
        $this->group_id = $group_id;
        $sql = "SELECT * FROM ".$dbprfx."groups WHERE id = '$this->group_id'";
        $query = $db->query($sql,$this->connect);
        $row = $db->fetch_object($query,MYSQL_ASSOC);
        $this->id = $row->id;
        $this->name = $row->name;
        $this->description = $row->description;
        $this->admin = $row->admin;
      /*	if ($this->debug==1)
				{
				$this->show_debug();
               }     */
      	}

	function show_debug()
   		{
        echo "<font size=3 color=#222222><br> OBJEKT CGroup<br></font>";
        while(list($key,$val)=each($this))
        	{
        	echo "<font size=3 color=#222222>$key ---> $val</font><br>";
        	}
      	}
	}

class CUser
	{
    var $id = "Not authenticated";
    var $group_id = "Not authenticated";
    var $username = "Not authenticated";
    var $password = "Not authenticated";
    var $email = "Not authenticated";
    var $group;
    var $authenticated = false;
    var $connect = "Not connected to db";
    var $debug = 0;


    function CUser($username,$password, $debug=0)
    	{
         global $db,$dbprfx;

               $this->debug = $debug;
               $this->username = $username ;
               $this->password = $password ;
               $query = $db->query("SELECT * FROM ".$dbprfx."members WHERE username = '$this->username' AND password = '$this->password'");
               $row = $db->fetch_object($query);
               if ($row->id=="")
               {
               $this->authenticated = false;
               }
               else
               {
               $this->authenticated = true;
               $this->id = $row->id;
               $this->group_id = $row->groups;
               $this->username = $row->username;
               $this->password = $row->password;
               $this->email = $row->email;
               $this->group = new CGroup($this->group_id);
               }

              /*	if ($this->debug==1)
				{
				$this->show_debug();
               }     */
		}

	function show_debug()
		{
		$this->group->show_debug();
		echo "<font size=3 color=#222222><br> OBJEKT CUser<br></font>";
		while(list($key,$val)=each($this))
			{
			echo "<font size=3 color=#222222>$key ---> $val</font><br>";
			}
		}
	}

class CAuth extends CSession
	{
    var $user;
    var $debug = 0;

	function CAuth($username, $password, $debug=0)
		{
		CSession::CSession();
		$this->debug = $debug;
		if(!session_is_registered("ses_user"))
			{
			session_register("ses_user");
			$this->user = new CUser ($username, $password);
			}
			elseif($GLOBALS["ses_user"]->authenticated==1)
			{
            $this->user = $GLOBALS["ses_user"];
			}
			else
			{
            $this->user = new CUser ($username, $password);
			}
		   /*	if ($this->debug==1)
				{
				$this->show_debug();
               }     */
	}

	function write_to_session()
		{
		CSession::write_to_session();
		$GLOBALS["ses_user"]=$this->user;
		}

	function show_debug()
		{
		$this->user->show_debug();
		echo "<font size=3 color=#222222><br> OBJEKT CAuth<br></font>";
		while(list($key,$val)=each($this))
			{
			echo "<font size=3 color=#222222>$key ---> $val</font><br>";
			}
		}
	}

$auth = new CAuth($username, $password, $debug);
?>