<?php
/**
 * TorrentTrader v2.0 RC1
 *  - Coded by Sqrtboy (sqrtboy@phpsoft.org)
 *  - Released under the GPL licence
 *  - Support/Hacks/Discussion @ http://www.torrenttrader.com
 *  - Email: sqrtboy@phpsoft.org
 **/
 
session_start();
require_once('core.php');

/* check user is a member */
tt_members_only();

/* initiate template class */
tt_template_start('Account > '.$CURUSER['username'].'');

$show = isset($_GET['show']) ?  addslashes($_GET['show']) : false;
$do = isset($_GET['do']) ?  addslashes($_GET['do']) : false;
$id = isset($_GET['id']) ?  addslashes($_GET['id']) : false;
$pm_send = isset($_POST['sendmessage']) ?  addslashes($_POST['sendmessage']) : false;
$pm_comment = isset($_POST['comment']) ?  addslashes($_POST['comment']) : false;
$pm_subject = isset($_POST['subject']) ?  addslashes($_POST['subject']) : false;
$pm_to = isset($_POST['to']) ?  addslashes($_POST['to']) : false;

if($show == 'messages')
	{
	/* delete message */
	if($do == 'delete')
		{
		$db->query('DELETE FROM '.$dbprfx.'messages WHERE id = "'.$id.'"');
		tt_warning('SUCCESS', 'The Message Was Deleted From Your Sent Box', 'success');
		}
	
	/* hide message */
	if($do == 'hide')
		{
		$db->query('UPDATE '.$dbprfx.'messages SET hidden = "yes" WHERE id = "'.$id.'"');
		tt_warning('SUCCESS', 'The Message Was Deleted From Your Received Box', 'success');
		}		

	/* send message */
	if($pm_send)
		{
		for( $check = 0; $check < 1; $check++)
			{
			/* make sure message is not blank */
			if(!$pm_comment)
				{
				tt_warning('ERROR', 'You did not enter any text!', 'error');
				$errors = true;
				break;
				}
			
			/* check subject */
			if(!$pm_subject)
				{
				tt_warning('ERROR', 'You must enter a subject', 'error');
				$errors = true;
				break;
				}
				
			/* check recipient */
			if(!$pm_to)
				{
				tt_warning('ERROR', 'You must choose at least 1 user to send the message to!', 'error');
				$errors = true;
				break;
				}	
				
			/* check recipient */
			$to = tt_get_id($pm_to);
			if(!$to)
				{
				tt_warning('ERROR', 'Invalid User. Cannot send message.', 'error');
				$errors = true;
				break;
				}				
			
			if(!$errors)
				{
				$db->query('INSERT INTO '.$dbprfx.'messages (sent_to, sent_by, date, subject, message) VALUES ("'.$to.'", "'.$CURUSER['id'].'", NOW(), "'.$pm_subject.'", "'.strip_tags($pm_comment).'")');
				tt_warning('SUCCESS', 'Your message was sent to '.$pm_to.'.', 'success');
				unset($pm_subject); 
				unset($pm_comment);
				}
			}
		}
		
	/* get list of messages (received) */
	$result = $db->query('SELECT * FROM '.$dbprfx.'messages WHERE sent_to = "'.$CURUSER['id'].'" ORDER BY date DESC');
	while ($row = $db->fetch_array($result))
		{
		$receivedlist[] = array(
		'id' => $row['id'],
		'subject' => $row['subject'],
		'date' => $row['date'],
		'read' => $row['read'],
		'from' => tt_get_username($row['sent_by']));
		}
		$tpl->addVar('receivedlist', $receivedlist);
		
	/* get list of messages (sent) */
	$result = $db->query('SELECT * FROM '.$dbprfx.'messages WHERE sent_by = "'.$CURUSER['id'].'" AND hidden != "yes" ORDER BY date DESC');
	while ($row = $db->fetch_array($result))
		{
		$sentlist[] = array(
		'id' => $row['id'],
		'subject' => $row['subject'],
		'date' => $row['date'],
		'hide' => $row['hide'],
		'to' => tt_get_username($row['sent_to']));
		}
		$tpl->addVar('sentlist', $sentlist);
	
	/* output page */
	$tpl->display('theme/' . $tt_theme . '/templates/user_account_navigation.tpl');
	$tpl->display('theme/' . $tt_theme . '/templates/user_account_pm.tpl');
	tt_add_text(500, "tt.account.php?show=messages", "sendmessage", "Send Message", "", $pm_subject, $pm_comment, 1, 1);
	}
	elseif($show == 'viewmessage')
	{
	/* set as read */
	//$db->query('UPDATE '.$dbprfx.'messages SET read = "yes" WHERE id = "'.$id.'"');
	
	/* get message */
	$result = $db->query('SELECT * FROM '.$dbprfx.'messages WHERE id = "'.$id.'" LIMIT 1');
	while ($row = $db->fetch_array($result))
		{
		$viewmessage[] = array(
		'id' => $row['id'],
		'subject' => $row['subject'],
		'date' => $row['date'],
		'message' => $bbcode->parse(nl2br($row['message'])),
		'read' => $row['read'],
		'to' => tt_get_username($row['sent_by']));
		}
		$tpl->addVar('viewmessage', $viewmessage);	
		
$reply = '
==== REPLY ====
Old Msg Goes Here
';
	
	/* output page */
	$tpl->display('theme/' . $tt_theme . '/templates/user_account_navigation.tpl');
	$tpl->display('theme/' . $tt_theme . '/templates/user_account_pm_view.tpl', $id);
	tt_add_text(500, "tt.account.php?show=messages", "sendmessage", "Send Message", "", "RE: ", $reply, 1, 1);
	}
	elseif($show == 'settings')
	{
	/* output page */
	$tpl->display('theme/' . $tt_theme . '/templates/user_account_navigation.tpl');
	$tpl->display('theme/' . $tt_theme . '/templates/user_account_settings.tpl');
	}
	elseif($show == 'statistics')
	{
	/* output page */
	$tpl->display('theme/' . $tt_theme . '/templates/user_account_navigation.tpl');
	$tpl->display('theme/' . $tt_theme . '/templates/user_account_statistics.tpl');
	}
	elseif($show == 'torrents')
	{
	/* get list of torrents */
	$torrentlist = tt_list_torrents($perpage, $page, 'added', 'DESC', 'owner = "'.$CURUSER['id'].'"');
	$tpl->addVar('torrentlist', $torrentlist);
	$tpl->addVar('pager', tt_pager($perpage, $page, 'owner = "'.$CURUSER['id'].'"'));
	
	/* output page */
	$tpl->display('theme/' . $tt_theme . '/templates/user_account_navigation.tpl');
	$tpl->display('theme/' . $tt_theme . '/templates/torrents_list.tpl', $page);
	}
	else
	{
	/* user profile */
	$messages = tt_show_groups() ;
	$tpl->addVar('messages', $messages);
	
	/* output page */
	$tpl->display('theme/' . $tt_theme . '/templates/user_account_navigation.tpl');
	$tpl->display('theme/' . $tt_theme . '/templates/user_account.tpl');
	}
	
tt_template_end();

?>