<?php
/**
 * TorrentTrader v2.0 RC1
 *  - Coded by Sqrtboy (sqrtboy@phpsoft.org)
 *  - Released under the GPL licence
 *  - Support/Hacks/Discussion @ http://www.torrenttrader.com
 *  - Email: sqrtboy@phpsoft.org
 **/
 
session_start();
require_once('core.php');

/* prepare inputs */
$order = isset($_GET['order']) ?  addslashes($_GET['order']) : false;
$by = isset($_GET['by']) ?  addslashes($_GET['by']) : false;
$page = isset($_GET['page']) ? (int)$_GET['page'] : 1;

$search_do = isset($_POST['search_do']) ? addslashes($_POST['search_do']) : false;
$search_keywords = isset($_POST['keywords']) ? addslashes($_POST['keywords']) : false;
$search_category = isset($_POST['category']) ? addslashes($_POST['category']) : false;
$search_errors = false;
$search_success = false;


/* cache templates */
tt_cache(120, 'no');

/* check user is a member */
tt_members_only();

/* initiate template class */
tt_template_start('Browse');

/* get list of torrents */
switch ($by)
{
case "up" :
	$by = "ASC";
    break;
case "down" :
	$by = "DESC";
    break;
default:
	$by = "DESC";
    break;

}

switch ($order)
{
case "type" :
	$order = "category";
    break;
case "added" :
	$order = "added";
    break;
case "name" :
	$order = "name";
    break;
case "size" :
	$order = "size";
    break;
case "files" :
	$order = "files";
    break;
case "seeders" :
	$order = "seeders";
    break;
case "leechers" :
	$order = "leechers";
    break;
case "completed" :
	$order = "completed";
    break;
case "uppedby" :
	$order = "owner";
    break;
default:
	$order = "added";
    break;

}


/* get list of categories */
$result = $db->query('SELECT id, name FROM '.$dbprfx.'categories');
while ($row = $db->fetch_array($result))
	{
	$categorylist[] = array(
	'id' => $row['id'],
	'name' => $row['name']);
	}
	$tpl->addVar('categorylist', $categorylist);



/* process form
if($search_do)
	{
	for( $check = 0; $check < 5; $check++)
		{
		/* make sure all fields were entered
		if(!$search_keywords)
			{
			tt_warning('ERROR', 'You must enter at least one keyword.', 'error');
			$errors = true;
			break;
			}
		$success = true;
		}
	}

*/

$tpl->addVar('keywords', $search_keywords);
$tpl->addVar('cat', $search_category);
$tpl->display('theme/' . $tt_theme . '/templates/torrents_search.tpl');

/* build search query */
if ($search_category != "" && $search_category != "All Categories")
$search[] = 'category = "'.$search_category.'"';

if ($search_keywords != "")
$search[] = "search_text LIKE '%". $search_keywords ."%' OR descr LIKE '%" . $search_keywords . "%'";

if (isset($search))
$searchquery = implode(" AND ",$search);
else $searchquery = "";

/* get list of torrents */
$torrentlist = tt_list_torrents($CURUSER['perpage'], $page, $order, $by, $searchquery);
$tpl->addVar('torrentlist', $torrentlist);
$tpl->addVar('pager', tt_pager($CURUSER['perpage'], $page, $searchquery));
$tpl->addVar('PHP_SELF',$PHP_SELF);
$tpl->display('theme/' . $tt_theme . '/templates/torrents_list.tpl', $page);

tt_template_end('torrents_browse.tpl');


?>